
void ldraw16x16_Mapped(UINT8 *SPR, int x, int y, UINT8 *cmap, UINT8 *dy);
void ldraw16x16_Mapped_FlipX(UINT8 *SPR, int x, int y, UINT8 *cmap, UINT8 *dy);
void ldraw16x16_Mapped_FlipY(UINT8 *SPR, int x, int y, UINT8 *cmap, UINT8 *dy);
void ldraw16x16_Mapped_FlipXY(UINT8 *SPR, int x, int y, UINT8 *cmap, UINT8 *dy);

void cdraw16x16_Mapped(UINT8 *SPR, int x, int y, UINT8 *cmap, UINT8 *dx);
void cdraw16x16_Mapped_FlipX(UINT8 *SPR, int x, int y, UINT8 *cmap, UINT8 *dx);
void cdraw16x16_Mapped_FlipY(UINT8 *SPR, int x, int y, UINT8 *cmap, UINT8 *dx);
void cdraw16x16_Mapped_FlipXY(UINT8 *SPR, int x, int y, UINT8 *cmap, UINT8 *dx);

// 16x16 mapped transparent sprites

void ldraw16x16_Trans_Mapped(UINT8 *SPR, int x, int y, UINT8 *cmap,UINT8 *dy);
void ldraw16x16_Trans_Mapped_FlipX(UINT8 *SPR, int x, int y, UINT8 *cmap, UINT8 *dy);
void ldraw16x16_Trans_Mapped_FlipY(UINT8 *SPR, int x, int y, UINT8 *cmap, UINT8 *dy);
void ldraw16x16_Trans_Mapped_FlipXY(UINT8 *SPR, int x, int y, UINT8 *cmap, UINT8 *dy);

void cdraw16x16_Trans_Mapped(UINT8 *SPR, int x, int y, UINT8 *cmap, UINT8 *dx);
void cdraw16x16_Trans_Mapped_FlipX(UINT8 *SPR, int x, int y, UINT8 *cmap, UINT8 *dx);
void cdraw16x16_Trans_Mapped_FlipY(UINT8 *SPR, int x, int y, UINT8 *cmap, UINT8 *dx);
void cdraw16x16_Trans_Mapped_FlipXY(UINT8 *SPR, int x, int y, UINT8 *cmap, UINT8 *dx);

// 16bpp
void ldraw16x16_Mapped_16(UINT8 *SPR, int x, int y, UINT8 *cmap, UINT8 *dy);
void ldraw16x16_Mapped_16_FlipX(UINT8 *SPR, int x, int y, UINT8 *cmap, UINT8 *dy);
void ldraw16x16_Mapped_16_FlipY(UINT8 *SPR, int x, int y, UINT8 *cmap, UINT8 *dy);
void ldraw16x16_Mapped_16_FlipXY(UINT8 *SPR, int x, int y, UINT8 *cmap, UINT8 *dy);

void cdraw16x16_Mapped_16(UINT8 *SPR, int x, int y, UINT8 *cmap, UINT8 *dx);
void cdraw16x16_Mapped_16_FlipX(UINT8 *SPR, int x, int y, UINT8 *cmap, UINT8 *dx);
void cdraw16x16_Mapped_16_FlipY(UINT8 *SPR, int x, int y, UINT8 *cmap, UINT8 *dx);
void cdraw16x16_Mapped_16_FlipXY(UINT8 *SPR, int x, int y, UINT8 *cmap, UINT8 *dx);

// 16x16 mapped transparent sprites

void ldraw16x16_Trans_Mapped_16(UINT8 *SPR, int x, int y, UINT8 *cmap,UINT8 *dy);
void ldraw16x16_Trans_Mapped_16_FlipX(UINT8 *SPR, int x, int y, UINT8 *cmap, UINT8 *dy);
void ldraw16x16_Trans_Mapped_16_FlipY(UINT8 *SPR, int x, int y, UINT8 *cmap, UINT8 *dy);
void ldraw16x16_Trans_Mapped_16_FlipXY(UINT8 *SPR, int x, int y, UINT8 *cmap, UINT8 *dy);

void cdraw16x16_Trans_Mapped_16(UINT8 *SPR, int x, int y, UINT8 *cmap, UINT8 *dx);
void cdraw16x16_Trans_Mapped_16_FlipX(UINT8 *SPR, int x, int y, UINT8 *cmap, UINT8 *dx);
void cdraw16x16_Trans_Mapped_16_FlipY(UINT8 *SPR, int x, int y, UINT8 *cmap, UINT8 *dx);
void cdraw16x16_Trans_Mapped_16_FlipXY(UINT8 *SPR, int x, int y, UINT8 *cmap, UINT8 *dx);

// 32bpp
void ldraw16x16_Mapped_32(UINT8 *SPR, int x, int y, UINT8 *cmap, UINT8 *dy);
void ldraw16x16_Mapped_32_FlipX(UINT8 *SPR, int x, int y, UINT8 *cmap, UINT8 *dy);
void ldraw16x16_Mapped_32_FlipY(UINT8 *SPR, int x, int y, UINT8 *cmap, UINT8 *dy);
void ldraw16x16_Mapped_32_FlipXY(UINT8 *SPR, int x, int y, UINT8 *cmap, UINT8 *dy);

void cdraw16x16_Mapped_32(UINT8 *SPR, int x, int y, UINT8 *cmap, UINT8 *dx);
void cdraw16x16_Mapped_32_FlipX(UINT8 *SPR, int x, int y, UINT8 *cmap, UINT8 *dx);
void cdraw16x16_Mapped_32_FlipY(UINT8 *SPR, int x, int y, UINT8 *cmap, UINT8 *dx);
void cdraw16x16_Mapped_32_FlipXY(UINT8 *SPR, int x, int y, UINT8 *cmap, UINT8 *dx);

// 16x16 mapped transparent sprites

void ldraw16x16_Trans_Mapped_32(UINT8 *SPR, int x, int y, UINT8 *cmap,UINT8 *dy);
void ldraw16x16_Trans_Mapped_32_FlipX(UINT8 *SPR, int x, int y, UINT8 *cmap, UINT8 *dy);
void ldraw16x16_Trans_Mapped_32_FlipY(UINT8 *SPR, int x, int y, UINT8 *cmap, UINT8 *dy);
void ldraw16x16_Trans_Mapped_32_FlipXY(UINT8 *SPR, int x, int y, UINT8 *cmap, UINT8 *dy);

void cdraw16x16_Trans_Mapped_32(UINT8 *SPR, int x, int y, UINT8 *cmap, UINT8 *dx);
void cdraw16x16_Trans_Mapped_32_FlipX(UINT8 *SPR, int x, int y, UINT8 *cmap, UINT8 *dx);
void cdraw16x16_Trans_Mapped_32_FlipY(UINT8 *SPR, int x, int y, UINT8 *cmap, UINT8 *dx);
void cdraw16x16_Trans_Mapped_32_FlipXY(UINT8 *SPR, int x, int y, UINT8 *cmap, UINT8 *dx);
